Package de.xima.fc.api.rest.pub.client.generic
package de.xima.fc.api.rest.pub.client.generic
-
ClassDescriptionA bundle that contains all the individual APIs.ApiCall<Self>Represents a general API call to an endpoint.An interceptor that can be used to react to and modify calls to REST API endpoints.Defines the interface for the API client.A simple builder for creating the configuration of an
ApiClient.Encapsulates the configuration for theApiClient.Exception thrown by various REST API methods.Wraps a prepared API request call and provides different styles of executing the request, both synchronously and asynchronously.ApiResponse<T>Represents the result of a REST API call.The default implementation of anApiBundlethat provides access to the individual APIs.The default API client that is responsible for sending REST-like calls to an API endpoint and also takes care of serialization and deserialization.Default implementation of aApiInvocationwhich simply delegates to theApiClient.A JaxRS context resolver that adds a basicObjectMapperfor serialization and deserialization.Base interface for a collection of API calls under the same category.EndpointCategoryCall<Self>Represents an API call made from a certainEndpointCategory.Helper methods for web related tasks such as URL encoding etc.Adapter for the API client that integrates with a Jax RS implementation.Adapter for the API client that integrates with a Jax RS implementation.Simple builder for configuring a JaxRS RestEASY adapter.Base class for emulating a sum type (also known as a discriminated union) of N elements.OneOfN.Either<T1,T2> Emulates a sum type consisting of 2 cases.OneOfN.EitherMatcher<R,T1, T2> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.Just<T1>Emulates a sum type consisting of 1 cases.OneOfN.JustMatcher<R,T1> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.Emulates a sum type consisting of 0 cases.A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf3<T1,T2, T3> Emulates a sum type consisting of 3 cases.OneOfN.OneOf3Matcher<R,T1, T2, T3> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf4<T1,T2, T3, T4> Emulates a sum type consisting of 4 cases.OneOfN.OneOf4Matcher<R,T1, T2, T3, T4> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf5<T1,T2, T3, T4, T5> Emulates a sum type consisting of 5 cases.OneOfN.OneOf5Matcher<R,T1, T2, T3, T4, T5> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.A product type (also known as a tuple) of 2 elements.Base class for the body of endpoints that allow multiple different request body types.Info about a response with the return type and the sum type.ADateFormatimplementation that formats dates according to RFC3339.Helper methods for working with strings.When an answer was received from the REST API, but the status code did not match any known status code.When an answer was received from the REST API and the status code did match a known status code, but that status code was not a success status code 2xx.